%global codate 20150929
%global cohash 0827611
%global checkout %{codate}git%{cohash}

Name:           mujs
Version:        0
Release:        2.%{checkout}%{?dist}
Summary:        An embeddable Javascript interpreter
License:        AGPLv3+
URL:            http://mujs.com/
# Source is a git checkout (git://git.ghostscript.com/mujs.git)
#       export hash=your-hash-or-tag && \
#       git archive --format=tar.gz --prefix=mujs-$hash/ $hash \
#       > mujs-$hash.tar.gz
# Or simply, for the latest release, run:
#       make tarball
Source0:        %{name}-%{cohash}.tar.gz

%description
MuJS is a lightweight Javascript interpreter designed for embedding in
other software to extend them with scripting capabilities.

%package devel
Summary:        MuJS development files
Provides:       %{name}-static = %{version}-%{release}

%description devel
This package provides the MuJS static library.

%prep
%setup -q -n %{name}-%{cohash}

%build
make debug %{?_smp_mflags} CFLAGS="%{optflags}" LDFLAGS="%{?__global_ldflags}"

%install
make install DESTDIR=%{buildroot} prefix="%{_prefix}" libdir="%{_libdir}"

%global _docdir_fmt %{name}

%files
%license COPYING
%doc AUTHORS README docs
%{_bindir}/%{name}

%files devel
%license COPYING
%doc AUTHORS README
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.a

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-2.20150929git0827611
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov 16 2015 Petr Šabata <contyk@redhat.com> - 0-1.20150929git0827611
- Update to 0827611.
- Package the docs directory

* Thu Sep 17 2015 Petr Šabata <contyk@redhat.com> - 0-4.20150202gitc1ad1ba
- Enable full RELRO

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-3.20150202gitc1ad1ba
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Petr Šabata <contyk@redhat.com> - 0-2.20150202gitc1ad1ba
- Address the reviewer's concerns

* Thu May 07 2015 Petr Šabata <contyk@redhat.com> - 0-1.20150202gitc1ad1ba
- Initial packaging
